import { __awaiter, __decorate } from "tslib";
import { observable } from '@microsoft/fast-element';
export class SettingsItem {
    constructor(item) {
        this.key = '';
        this.value = null;
        Object.assign(this, item);
    }
}
__decorate([
    observable
], SettingsItem.prototype, "key", void 0);
__decorate([
    observable
], SettingsItem.prototype, "value", void 0);
export class SettingsService {
    constructor() {
        this.cache = null;
    }
    getItems() {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.cache !== null) {
                return this.cache;
            }
            this.cache = [];
            return this.cache;
        });
    }
    createItem(key, value) {
        return __awaiter(this, void 0, void 0, function* () {
            const item = new SettingsItem({ key, value });
            yield this.getItems();
            this.cache.push(item);
            return item;
        });
    }
    deleteItem(item) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.getItems();
            const index = this.cache.indexOf(item);
            if (index !== -1) {
                this.cache.splice(index, 1);
            }
        });
    }
}
